Build failed with " You are already running a stack.sh session"

Bug #1103082 reported by Daniel Berrange on 2013-01-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Core Infrastructure
Fix Released
Low
Jeremy Stanley

Bug Description

Jenkins failed a job on tempest checks

http://logs.openstack.org/20244/1/check/gate-tempest-devstack-vm/27762/console.html

15:22:45 [gate-tempest-devstack-vm] $ /bin/bash -xe /tmp/hudson5320904758380155333.sh
15:22:45 + export PYTHONUNBUFFERED=true
15:22:45 + PYTHONUNBUFFERED=true
15:22:45 + export DEVSTACK_GATE_TEMPEST=1
15:22:45 + DEVSTACK_GATE_TEMPEST=1
15:22:45 + cp devstack-gate/devstack-vm-gate-wrap.sh ./safe-devstack-vm-gate-wrap.sh
15:22:45 + ./safe-devstack-vm-gate-wrap.sh
15:23:28 Triggered by: https://review.openstack.org/20244 patchset 1
15:23:28 Pipeline: check
15:23:31 Running devstack
15:23:31 You are already running a stack.sh session.
15:23:31 To rejoin this session type 'screen -x stack'.
15:23:31 To destroy this session, type './unstack.sh'.
15:23:36 Build step 'Execute shell' marked build as failure

James E. Blair (corvus) on 2013-02-19
affects: tempest → openstack-ci
James E. Blair (corvus) on 2013-04-23
Changed in openstack-ci:
status: New → Triaged
importance: Undecided → Low
tags: added: gate-failure
Joe Gordon (jogo) wrote :

message:"You are already running a stack.sh session." AND filename:"console.html"

400+ hits in 48 hours and appears to be fixed already.

Clark Boylan (cboylan) wrote :

There was a problem with the jenkins gearman plugin running against an updated version of jenkins that caused slave nodes to be reused at a very high rate. This was fixed by downgrading to the latest LTS jenkins release and using that version of jenkins instead. This should give us much more internal jenkins api stability.

Changed in openstack-ci:
status: Triaged → Fix Released
assignee: nobody → Jeremy Stanley (fungi)
milestone: none → icehouse
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers